{
  "$schema": "https://schema.management.azure.com/schemas/2019-04-01/deploymentTemplate.json#",
  "contentVersion": "1.0.0.0",
  "parameters": {
    "templateSpecs_tem_network_name": {
      "type": "String"
    },
    "templateSpecs_temp_storage_account_name": {
      "type": "String"
    }
  },
  "resources": [
    {
      "apiVersion": "2022-02-01",
      "location": "japaneast",
      "name": "[parameters('templateSpecs_tem_network_name')]",
      "properties": {},
      "type": "Microsoft.Resources/templateSpecs"
    },
    {
      "apiVersion": "2022-02-01",
      "location": "japaneast",
      "name": "[parameters('templateSpecs_temp_storage_account_name')]",
      "properties": {},
      "tags": {
        "ms-resource-usage": "azure-storage-account"
      },
      "type": "Microsoft.Resources/templateSpecs"
    },
    {
      "apiVersion": "2022-02-01",
      "dependsOn": [
        "[resourceId('Microsoft.Resources/templateSpecs', parameters('templateSpecs_tem_network_name'))]"
      ],
      "location": "japaneast",
      "name": "[concat(parameters('templateSpecs_tem_network_name'), '/1.0')]",
      "properties": {
        "mainTemplate": {}
      },
      "type": "Microsoft.Resources/templateSpecs/versions"
    },
    {
      "apiVersion": "2022-02-01",
      "dependsOn": [
        "[resourceId('Microsoft.Resources/templateSpecs', parameters('templateSpecs_temp_storage_account_name'))]"
      ],
      "location": "japaneast",
      "name": "[concat(parameters('templateSpecs_temp_storage_account_name'), '/1.0')]",
      "properties": {
        "mainTemplate": {}
      },
      "tags": {
        "ms-resource-usage": "azure-storage-account"
      },
      "type": "Microsoft.Resources/templateSpecs/versions"
    },
    {
      "apiVersion": "2022-02-01",
      "dependsOn": [
        "[resourceId('Microsoft.Resources/templateSpecs', parameters('templateSpecs_temp_storage_account_name'))]"
      ],
      "location": "japaneast",
      "name": "[concat(parameters('templateSpecs_temp_storage_account_name'), '/2.0')]",
      "properties": {
        "mainTemplate": {}
      },
      "tags": {
        "ms-resource-usage": "azure-storage-account"
      },
      "type": "Microsoft.Resources/templateSpecs/versions"
    },
    {
      "apiVersion": "2022-02-01",
      "dependsOn": [
        "[resourceId('Microsoft.Resources/templateSpecs', parameters('templateSpecs_temp_storage_account_name'))]"
      ],
      "location": "japaneast",
      "name": "[concat(parameters('templateSpecs_temp_storage_account_name'), '/3.0')]",
      "properties": {
        "mainTemplate": {}
      },
      "tags": {
        "ms-resource-usage": "azure-storage-account"
      },
      "type": "Microsoft.Resources/templateSpecs/versions"
    },
    {
      "apiVersion": "2022-02-01",
      "dependsOn": [
        "[resourceId('Microsoft.Resources/templateSpecs', parameters('templateSpecs_temp_storage_account_name'))]"
      ],
      "location": "japaneast",
      "name": "[concat(parameters('templateSpecs_temp_storage_account_name'), '/4.0')]",
      "properties": {
        "mainTemplate": {}
      },
      "tags": {
        "ms-resource-usage": "azure-storage-account"
      },
      "type": "Microsoft.Resources/templateSpecs/versions"
    }
  ],
  "variables": {}
}
